// Size and arrange checkbox above SVG, and visually hide it.
.checkbox {
  width: 1.6rem;
  height: 1.6rem;
  opacity: 0.00001;
  position: absolute;
}

// Style SVG for when checkbox is checked.
.checkbox:checked + svg {
  .border {
    fill: none;
  }

  .filled-checkbox {
    fill: currentColor;
  }

  .checkmark {
    fill: white;
  }
}

// Remove focus outline from SVG for when mouse is used.
.checkbox:focus:not(:focus-visible) + svg {
  outline: none;
}

// Add focus outline to SVG.
.checkbox:focus + svg {
  outline: 5px auto -webkit-focus-ring-color;
  outline-offset: 2px;
}